<template>
  <div class="container relative mx-auto">
  <div class="flex justify-between text-[14px] z-[12] relative">
    <nuxt-link v-if="!homeTab.IsHidden" to="/">
      <div 
        class="flex flex-row items-center p-2 h-12 whitespace-nowrap gap-2 hover-tab-color relative"
        :class="[{'menu-active' : tabSelected === '/'}]"
      >
        <div class="w-4 h-4 text-white">
          <svg-icon
            svgName="icon-home"
            class="icon w-4 h-4" 
            :class="[{'fill-selected' : tabSelected === '/'}]"
          />
        </div>
        <p 
          class="text-sm font-bold leading-[14px]"
          :class="[tabSelected === '/' ? 'fc-primary' : '--text2']"
        >{{ $t('home')}}</p>
      </div>
    </nuxt-link>
    <nuxt-link
      v-for="menu in menuTabHeaders"
      :key="menu.TabType"
      :to="menu.TabURL"
      :name="menu.TabType"
      @mouseover="productListFeatureHover(menu.TabType, menu.TabURL)"
      @mouseleave="isFeatureContentEnabled = false"
    >
      <div 
        class="flex flex-row items-center p-2 h-12 whitespace-nowrap gap-2 hover-tab-color relative"
        :class="[{'menu-active' : tabSelected === menu.TabURL?.toLowerCase() || testActiveGame(menu.TabType, activeTab),}]"
      >
        <div class="w-4 h-4 text-white">
          <svg-icon
            :svgName="`icon-${menu?.TabType.toLowerCase().replace(' ', '-')}`"
            class="icon w-4 h-4" 
            :class="[{'fill-selected' : tabSelected === menu.TabURL?.toLowerCase() || testActiveGame(menu.TabType, activeTab)}]"
          />
        </div>
        <p
          class="text-sm font-bold leading-[14px]"
          :class="[tabSelected === menu.TabURL?.toLowerCase() || testActiveGame(menu.TabType, activeTab) ? 'fc-primary' : '--text2']"
        >{{ $t(menu.TabType.replace(" ", "_").toLowerCase()) }}</p>
      </div>
    </nuxt-link>
    <nuxt-link
        v-if="isAllowPromotionTab"
        to="/promotion"
        @mouseover="isFeatureContentEnabled = false"
    >
      <div 
        class="flex flex-row items-center p-2 h-12 whitespace-nowrap gap-2 hover-tab-color relative" 
        :class="{'menu-active': tabSelected === '/promotion'}"
      >
        <div class="w-4 h-4 text-white">
          <svg-icon
            svgName="icon-promotion-2"
            class="icon w-4 h-4" 
            :class="[
              { 'fill-selected': tabSelected === '/promotion'}
            ]"
          />
        </div>
        <p 
          class="text-sm font-bold leading-[14px]"
          :class="[tabSelected === '/promotion' ? 'fc-primary' : '--text2']"
        >{{ $t('promotion') }}</p>
      </div>
    </nuxt-link>
    <nuxt-link
       v-if="isAppDownloadEnabled"
       to="/app-download"
       @mouseover="isFeatureContentEnabled = false"
    >
      <div 
        class="flex flex-row items-center p-2 h-12 whitespace-nowrap gap-2 hover-tab-color relative"
        :class="{'menu-active fc-primary': tabSelected === '/app-download'}"
      >
        <div class="w-4 h-4 text-white ">
          <svg-icon
            svgName="icon-download"
            class="icon w-4 h-4" 
            :class="[
              { 'fill-selected': tabSelected === '/app-download'}
            ]"
          />
        </div>
        <p 
          class="text-sm font-bold leading-[14px]"
          :class="[tabSelected === '/app-download' ? 'fc-primary' : '--text2']"
        >{{ $t('app_download') }}</p>
      </div>
    </nuxt-link>
  </div>
  </div>
  <div class="bk8-green-product-hover" @mouseover="isFeatureContentEnabled=true">
    <product-feature-tab-hover
          v-model:is-feature-hover="isFeatureContentEnabled"
          :component-key="componentKey"
          :feature-products="filterProductFeature"      />
  </div>
</template>
<script lang="ts" setup>
import { useHeaderComponent } from "@/composables/useTheme";

const {
  menuTabHeaders,
  tabSelected,
  isAllowPromotionTab,
  isAppDownloadEnabled,
  isFeatureContentEnabled,
  componentKey,
  filterProductFeature,
  productListFeatureHover,
  homeTab,
} = useHeaderComponent();
const route = useRoute();
const activeTab = computed(() => route.query.tab ?? "");
const testActiveGame = (tabType: string, activeGame: string): boolean => {
  const temTabType = tabType
    .trim()
    .toLowerCase()
    .replaceAll(" ", "")
    .replaceAll("-", "");
  const temActiveGame = activeGame
    .trim()
    .toLowerCase()
    .replaceAll(" ", "")
    .replaceAll("-", "");
  return temActiveGame === temTabType;
};
</script>

<style lang="scss">
  .text.fill-selected {
    fill: var(--primary);
  }
  .bk8-green-product-hover {
    .tab-hover.isNotFeatureHover {
      --tw-translate-y: -120%;
    }
    .tab-hover.isFeatureHover {
      top: 112px;
    }
  }
  .hover-tab-color:hover {
    position: relative;
    p { 
      color: var(--primary);
    }
    .icon {
      fill: var(--primary);
    }
  }
  .devider-bottom {
    border-bottom: 3px solid var(--border);
  }
  .menu-active:before, .hover-tab-color:hover::before {
    content: "";
    position: absolute;
    bottom: -3px;
    left: 0;
    z-index: 9999;
    width: 100%;
    height: 3px;
    background-color: var(--primary);
}
</style>